#!/usr/bin/env python

import sys

import numpy as np

from interp.grid.gmsh import gmsh_grid

if __name__ == '__main__':
  if len(sys.argv) != 2:
    print >> sys.stderr, "usage: %s <gmsh file>" % sys.argv[0]
    sys.exit(1)

  g = gmsh_grid(sys.argv[1])
  g.dump_to_blender_files()

  X = np.array([0.2, 0.2, 0.0])
  R = g.get_containing_simplex(X)

  print g
